from flask import jsonify
from app.api import api_bp

@api_bp.route('/hello', methods=['GET'])
def hello_world():
    """Hello World API 端点"""
    return jsonify({
        'message': 'Hello, World!',
        'status': 'success'
    })

@api_bp.route('/hello/<name>', methods=['GET'])
def hello_name(name):
    """个性化问候 API 端点"""
    return jsonify({
        'message': f'Hello, {name}!',
        'status': 'success'
    })
